require "./lib/menu/dieta.rb"
class MenuProc < Dieta
    attr_accessor :titulos, :vct, :ingestas, :platos, :proteinas, :grasas, :hidratos
    def initialize(titulo, &bloque) 
        self.titulos = ""
        self.vct = []
        self.ingestas = []
        self.proteinas = []
        self.grasas = []
        self.hidratos = []
        self.platos = []
        
        if block_given?  
            if bloque.arity == 1
                yield self
            else
                instance_eval(&bloque) 
            end
        end
    end
    
    def titulo(options = {})
       self.titulos = "#{options[:name]}" if options[:name] 
    end
    
    def ingesta(options = {})
        self.ingestas << options[:min] if options[:min]
        self.ingestas << options[:max] if options[:max]
    end
    
    def plato(options = {})
        desc = "#{options[:descripcion]}" if options[:descripcion]
        porc = "#{options[:porcion]}" if options[:porcion]
        gra = options[:gramos] if options[:gramos]
        self.platos << Plato.new(desc, porc, gra)
    end
    def porcentajes(options = {})
       self.vct = options[:vct] if options[:vct] 
       self.proteinas = options[:proteinas] if options[:proteinas]
       self.grasas = options[:grasas] if options[:grasas]
       self.hidratos = options[:hidratos] if options[:hidratos]
    end
    def to_s
        s = "#{titulos} (#{ingestas[0]}% - #{ingestas[1]}%)\n"
        platos.each_with_index do |comida|
            s << "- #{comida.descripcion}, #{comida.porcion}, #{comida.gramos} g\n" 
        end
        s << "V.C.T. | % #{vct} kcal | #{proteinas}% - #{grasas}% - #{hidratos}%"
    end
end
