require './lib/menu/plato.rb'
class Dieta
    attr_accessor :titulo, :vct, :ingesta, :platos, :proteinas, :grasas, :hidratos
    include Comparable
    def initialize(receta, vct, ingesta, proteinas, grasas, hidratos)
        @titulo = receta
        @vct = vct
        @ingesta = ingesta
        @proteinas = proteinas
        @grasas = grasas
        @hidratos = hidratos
        @platos = []
    end
    
    def <=>(otro)
           @vct <=> otro.vct 
    end
    
    def ==(otro)
        @grasas == otro.grasas && @proteinas == otro.proteinas && @hidratos == otro.hidratos
    end
    
    def setPlato(descripcion, porcion, gramos)
        @platos << Plato.new(descripcion, porcion, gramos)
    end
    
    def to_s
        s = "#{titulo} (#{ingesta}%)\n"
        platos.each do |comida|
            s << "- #{comida.descripcion}, #{comida.porcion}, #{comida.gramos} g\n" 
        end
        s << "V.C.T. | % #{vct} kcal | #{proteinas}% - #{grasas}% - #{hidratos}%"
    end
    
end
